4 Replies Latest reply on Oct 5, 2012 7:42 AM by DirenGrey13

    Why can't I download the latest version of flash?

    DirenGrey13

      Everytime I go to watch youtube, or use websites that require the flash player it tells me that I need Flash Player 11.3 or higher. I go to the website to download the latest flashplayer and it tells me to download 10.3 (which I already have). What's the deal?!

       

      I'm running Leopard on a Macbook Pro.

      I get the same messages in google chrome and firefox!